## spew 1.3.0

=== DESCRIPTION ===
Package: spew
Type: Package
Depends: R (>= 2.10)
Title: SPEW Framework for Generating Synthetic Ecosystems
Version: 1.3.0
Date: 2017-11-03
Author: Lee F. Richardson, Shannon Gallagher, Samuel L. Ventura, William F. Eddy
Maintainer: Lee F. Richardson <leerichardson2013@gmail.com>
Description: Tools for generating synthetic synthetic using the SPEW (Synthetic Populations and Ecosystems of the World) framework. 
             We provide functions for the 'synthesis' step of the SPEW, which converts harmonized data into a 
             synthetic ecosystem. We also provide functions for visualizing and summarizing synthetic ecosystems generated by SPEW. 
             For details see Gallagher, S., Richardson, L.F., Ventura, S.L., Eddy W.F. (2017) <arXiv:1701.02383>.
License: GPL-3
URL: http://github.com/leerichardson/spew
BugReports: http://github.com/leerichardson/spew/issues
RoxygenNote: 6.0.1
VignetteBuilder: knitr
Suggests: testthat, knitr, rmarkdown, doParallel, foreach, stringdist,
        ggmap, rgeos, Rmpi, mipfp, quadprog, data.table, rgdal,
        ggplot2, reshape2, devtools, parallel
Imports: sp, maptools, plyr, methods
NeedsCompilation: no
Packaged: 2017-11-03 19:45:51 UTC; lee
Repository: CRAN
Date/Publication: 2017-11-03 23:28:38 UTC

## spew 1.0.8

=== debian/changelog ===
spew (1.0.8-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Maintain package in Salvage team
    Closes: #1111512
  * Set Vcs-Fields (routine-update)
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/control: Add myself as Uploaders.
  * d/control: Add Salvage Team as Maintainer.
  * d/patches/0002-Ensure-directories-exist-before-creating-symlinks-in:
    Add new patch to create directories before creates symlinks
    (Closes: #1105640).

  [ Andreas Tille ]
  * Point Homepage to webarchive
  * d/rules:
     - is no sample
     - short dh
  * d/copyright: Remove old FSF address
  + Fix some build issues with gcc-15

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 17 Aug 2025 16:57:32 -0300

spew (1.0.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0, Closes: #1067541.
  * Build-Depend on libncurses-dev instead of transitional package.
  * Replace deprecated Priority: extra with optional.
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sat, 20 Apr 2024 14:23:48 +0000

spew (1.0.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #998965).

 -- Marcos Talau <talau@debian.org>  Sun, 06 Nov 2022 13:31:22 -0300

spew (1.0.8-1) unstable; urgency=low

  * New upstream release. ( Closes: #560523 )
  * Fix location of config.{sub,guess} update.
  * Update to debhelper 7, fix some errors.
  * Update to policy 3.8.4, fix some lintian errors.

 -- Matt Taggart <taggart@debian.org>  Fri, 14 May 2010 02:10:12 -0700

spew (1.0.7-1) unstable; urgency=low

  * New upstream release.
  * Upstream included all outstanding patched, Debian diff nearly zero.
  * Acknowledge NMU, thanks Marc 'HE' Brockschmidt. Upstream fixed both
    bugs but in slightly different ways
    - #455311: put the strings.h include in a common include file that
       all the others pull in
    - #403774: ifdef HAVE_DIRECT_IO rather than __linux
  * Update to policy 3.8.0, fix some lintian errors.

 -- Matt Taggart <taggart@debian.org>  Sun,  6 Jul 2008 16:16:29 -0700

spew (1.0.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by "brian m. carlson"
    <sandals@crustytoothpaste.ath.cx> (Closes: #455311)
  * Fix FTBFS on GNU/kFreeBSD, patch by Petr Salinger
    <Petr.Salinger@seznam.cz> (Closes: #403774)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 18:05:36 +0100

spew (1.0.5-2) unstable; urgency=low

  * Fix a bunch of spelling errors in the man page and program output.
    Closes: #366446
  * Update to policy 3.7.2
    - fix FSF address
    - fix redundant libncurses5 depends
    - clean up config.log

 -- Matt Taggart <taggart@debian.org>  Tue,  3 Oct 2006 16:44:15 -0700

spew (1.0.5-1) unstable; urgency=low

  * New upstream release

 -- Matt Taggart <taggart@debian.org>  Wed, 21 Sep 2005 16:49:35 -0700

spew (1.0.4-1) unstable; urgency=low

  * New upstream release
  * Upstream fixed file conflict with snarf, Closes: #279679, #292316
  * Drop libstdc++ build-dep. I should know better, I've filed bugs on
     other packages for the same thing :(,  Closes: #280257
  * Add AUTHORS file to debian/docs
  * Upstream fixed various DESTDIR problems, removed from diff
  * Fix lintian description warnings

 -- Matt Taggart <taggart@debian.org>  Wed,  2 Feb 2005 01:42:02 -0800

spew (1.0.3-1) unstable; urgency=low

  * Initial Release.
  * Standard dh_make autoconf single binary package
  * Adjust src/Makefile.am and man/Makefile.am to fix some problems
     installing to DESTDIR, run automake

 -- Matt Taggart <taggart@debian.org>  Wed,  2 Feb 2005 01:41:43 -0800

=== debian/control ===
Source: spew
Section: utils
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Matt Taggart <taggart@debian.org>,
           Emmanuel Arias <eamanu@debian.org>
Build-Depends: debhelper-compat (= 13), libpopt-dev, libncurses-dev, 
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/salvage-team/spew
Vcs-Git: https://salsa.debian.org/salvage-team/spew.git
Homepage: https://web.archive.org/web/20140330140018/http://spew.berlios.de/

Package: spew
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: I/O performance measurement and load generation tool
 Spew is used to measure I/O performance of character devices, block
 devices, and regular files. It can also be used to generate high I/O loads
 to stress systems while verifying data integrity.
 .
 Spew is easy to use and is flexible. No configuration files or
 complicated client/server configurations are needed. Spew also generates
 its own data patterns that are designed to make it easy to find and debug
 data integrity problems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
%:
	dh $@

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc
